/*
 * Kangaroo Punch MultiPlayer Game Server Mark II
 * Copyright (C) 2020-2021  Scott Duensing
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */


#include "comport.h"
#include "timer.h"
#include "config.h"


void comPacketSender(uint8_t *data, uint32_t length, void *userData) {
	(void)userData;
	comWrite(__configData.serialCom - 1, (char *)data, length);
}


int comReceiveBufferFlush(int com) {
	char buffer[256];
	int  result = 1;

	while (result > 0) {
		result = comRead(com, buffer, 255);
	}

	return result;
}
